Zum Inhalt springen
Docs
Deutsch
Esc
navigateopen⌘Jpreview

Update an amenity

Partial update of an amenity’s name, color, and/or icon. When provided, name must be non-empty. Scoped to your integration’s institution via Basic Auth credentials.

PATCH/amenities/{id}
Path parameters
idstringrequired
Request body
requiredapplication/json
namestring
Display name for the equipment or amenity.
colorstring | null
Optional hex color used in the dashboard UI.
iconstring | null
Optional icon identifier used in the dashboard UI.
Responses
200Updated amenity
dataAmenityrequired
Equipment or amenity available for rooms.
Show properties
idstringrequired
institutionIdstringrequired
namestringrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
colorstring | null
iconstring | null
metaResponseMetarequired
Show properties
requestIdstringrequired
timestampstring<date-time>required
versionstringrequired
Allowed:v4
400Bad Request
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
401Unauthorized
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
404Not Found
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
429Too Many Requests
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
500Internal Server Error
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
Request
curl -X PATCH "https://fuxam.app/api/v4/amenities/string" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Projector",
  "color": "#0361fc",
  "icon": "projector"
}'
Response
{
  "data": {
    "id": "amen_001",
    "institutionId": "inst_123",
    "name": "Projector",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-06-01T00:00:00.000Z",
    "color": "#0361fc",
    "icon": "projector"
  },
  "meta": {
    "requestId": "req_1234567890_abc",
    "timestamp": "2026-06-02T07:00:00.000Z",
    "version": "v4"
  }
}